Skip to main content
GET
/
v6
/
files
/
{id}
Get file
curl --request GET \
  --url https://sandbox.tight.com/v6/files/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "fil_28868401",
    "entity": {
      "id": "btxn_28868401"
    },
    "description": "Q1 2024 invoice",
    "notes": "Received from vendor on 2024-01-15",
    "url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf",
    "date": "2024-01-15",
    "amount": 15000,
    "status": "ACTIVE",
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the file

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.